Package net.officefloor.spring.webflux
Class OfficeFloorServerHttpRequest
java.lang.Object
org.springframework.http.server.reactive.AbstractServerHttpRequest
net.officefloor.spring.webflux.OfficeFloorServerHttpRequest
- All Implemented Interfaces:
org.springframework.http.HttpMessage,org.springframework.http.HttpRequest,org.springframework.http.ReactiveHttpInputMessage,org.springframework.http.server.reactive.ServerHttpRequest,org.springframework.http.server.reactive.SslInfo
public class OfficeFloorServerHttpRequest
extends org.springframework.http.server.reactive.AbstractServerHttpRequest
implements org.springframework.http.server.reactive.SslInfo
OfficeFloor ServerHttpRequest.- Author:
- Daniel Sagenschneider
-
Nested Class Summary
Nested classes/interfaces inherited from interface org.springframework.http.server.reactive.ServerHttpRequest
org.springframework.http.server.reactive.ServerHttpRequest.Builder -
Constructor Summary
ConstructorsConstructorDescriptionOfficeFloorServerHttpRequest(HttpRequest httpRequest, HttpRequestState requestState, String contextPath, org.springframework.core.io.buffer.DataBufferFactory dataBufferFactory) Instantiate. -
Method Summary
Modifier and TypeMethodDescriptionreactor.core.publisher.Flux<org.springframework.core.io.buffer.DataBuffer>getBody()org.springframework.http.HttpMethod<T> Tprotected org.springframework.util.MultiValueMap<String,org.springframework.http.HttpCookie> protected org.springframework.http.server.reactive.SslInfovoidloadPathParameters(org.springframework.web.server.ServerWebExchange exchange) Loads the path parameters.Methods inherited from class org.springframework.http.server.reactive.AbstractServerHttpRequest
getAttributes, getCookies, getHeaders, getId, getPath, getQueryParams, getSslInfo, getURI, initId, initLogPrefix, setAttributesSupplierMethods inherited from class java.lang.Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, waitMethods inherited from interface org.springframework.http.server.reactive.ServerHttpRequest
getLocalAddress, getRemoteAddress, mutate
-
Constructor Details
-
OfficeFloorServerHttpRequest
public OfficeFloorServerHttpRequest(HttpRequest httpRequest, HttpRequestState requestState, String contextPath, org.springframework.core.io.buffer.DataBufferFactory dataBufferFactory) throws URISyntaxException Instantiate.- Parameters:
httpRequest-HttpRequest.requestState-HttpRequestState.contextPath- Context path.dataBufferFactory-DataBufferFactory.- Throws:
URISyntaxException- If fails to createURI.
-
-
Method Details
-
initQueryParams
- Overrides:
initQueryParamsin classorg.springframework.http.server.reactive.AbstractServerHttpRequest
-
loadPathParameters
public void loadPathParameters(org.springframework.web.server.ServerWebExchange exchange) Loads the path parameters.- Parameters:
exchange-ServerWebExchange.
-
initSslInfo
protected org.springframework.http.server.reactive.SslInfo initSslInfo()- Specified by:
initSslInfoin classorg.springframework.http.server.reactive.AbstractServerHttpRequest
-
getMethod
public org.springframework.http.HttpMethod getMethod()- Specified by:
getMethodin interfaceorg.springframework.http.HttpRequest- Overrides:
getMethodin classorg.springframework.http.server.reactive.AbstractServerHttpRequest
-
initCookies
protected org.springframework.util.MultiValueMap<String,org.springframework.http.HttpCookie> initCookies()- Specified by:
initCookiesin classorg.springframework.http.server.reactive.AbstractServerHttpRequest
-
getBody
public reactor.core.publisher.Flux<org.springframework.core.io.buffer.DataBuffer> getBody()- Specified by:
getBodyin interfaceorg.springframework.http.ReactiveHttpInputMessage
-
getNativeRequest
public <T> T getNativeRequest()- Specified by:
getNativeRequestin classorg.springframework.http.server.reactive.AbstractServerHttpRequest
-
getSessionId
- Specified by:
getSessionIdin interfaceorg.springframework.http.server.reactive.SslInfo
-
getPeerCertificates
- Specified by:
getPeerCertificatesin interfaceorg.springframework.http.server.reactive.SslInfo
-